Models
Get model asset credentials
Retrieves temporary credentials for accessing the storage backing the specified model version.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry záhlaví
Foundry-Features
enum
vyžadováno
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Parametry cesty
name
string
vyžadováno
Name of the model.
version
string
vyžadováno
Version of the model.
Text požadavku
The credential request request body.
blobUri
string
vyžadováno
Blob URI of the model asset to fetch credentials for.
Odpovědi
The request has succeeded.
Text
blobReference
BlobReference
vyžadováno
Blob reference details.
blobUri
string
vyžadováno
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vyžadováno
ARM ID of the storage account to use.
credential
SasCredential
vyžadováno
SAS Credential definition
sasUri
string
vyžadováno
SAS uri
type
enum
vyžadováno
Type of credential
Žádost
POST /models/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json